Summary:	Documentation utilities for GNOME
Summary(pl.UTF-8):	Narzędzia do budowania dokumentacji dla GNOME
Name:		gnome-doc-utils
Version:	0.20.10
Release:	2
License:	GPL v2+/LGPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.20/%{name}-%{version}.tar.xz
# Source0-md5:	3c64ad7bacd617b04999e4a168afaac5
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd44-xml
BuildRequires:	gettext-tools
BuildRequires:	intltool >= 0.37.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxml2-progs >= 1:2.6.31
BuildRequires:	libxslt-devel >= 1.1.22
BuildRequires:	libxslt-progs >= 1.1.22
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-libxml2 >= 1:2.6.31
BuildRequires:	rarian-compat
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	rarian-compat
Requires:	libxslt-progs >= 1.1.22
Requires:	python-libxml2 >= 1:2.6.31
Requires:	python-modules >= 1:2.4
Requires:	which
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of documentation utilities for GNOME.

%description -l pl.UTF-8
Zestaw narzędzi do budowania dokumentacji dla GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4 -I tools
%{__autoconf}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%find_lang %{name} --all-name --with-omf --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-doc-prepare
%attr(755,root,root) %{_bindir}/gnome-doc-tool
%attr(755,root,root) %{_bindir}/xml2po
%{_aclocaldir}/gnome-doc-utils.m4
%{_datadir}/%{name}
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard
%{_mandir}/man1/xml2po.1*
%dir %{py_sitescriptdir}/xml2po
%{py_sitescriptdir}/xml2po/*.py[co]
%dir %{py_sitescriptdir}/xml2po/modes
%{py_sitescriptdir}/xml2po/modes/*.py[co]
%{_npkgconfigdir}/gnome-doc-utils.pc
%{_npkgconfigdir}/xml2po.pc
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-doc-utils.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f22ef4a
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 19d4204
- updated gettext BR

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> a091c41
- updated to 0.20.10

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 42164e4
- updated to 0.20.9 (mallard files are temporarily back)

* Sun Mar 04 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3eb2444
- updated to 0.20.7

* Fri Feb 17 2012 lisu <lisu@pld-linux.org> 0808afb
- rel 2

* Mon Apr 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> f4ab838
- updated to 0.20.6

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 1437dfa
- en@shaw locale is now supported (via LANGUAGE)

* Thu Mar 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> dc02a78
- updated to 0.20.5

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d57a498
- updated to 0.20.4

* Thu Jan 06 2011 Jakub Bogusz <qboosh@pld-linux.org> b1bc57a
- updated to 0.20.3

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 78b2450
- rel 2

* Wed Sep 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ddf10ad
- updated to 0.20.2

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 79d8461
- rel 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d943fe
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5390690
- release 2

* Tue Apr 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ef55be0
- updated to 0.20.1

* Mon Mar 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 39efb23
- updated to 0.20.0; merged changes from DEVEL

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 7b8d635
- BR: docbook-dtd44-xml

* Fri Dec 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 1dd27ca
- updated to 0.18.1

